Subject: Re: fileutils, install -- .exe file extension
From: [email-masked] (Earnie Boyd)

19 Sep 1997 06:42:44 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]

I have used the following script for installing packages with the "make 
install" command.

The way this is written, if the file.exe exists in the destination then 
the script will force the .exe onto the destination file.  Otherwise the 
destination ends up without the .exe.

This is fine for what I am doing as I will never execute these commands 
unless I am in bash.

#!/bin/sh
# file: install
# author: earnie      email: [email-masked]
# Install Preprocessor for the gnu-win32 "make install" command.
#
# To use:
#    mv /bin/install.exe /bin/ginstall
#   copy this file to /bin/install
#
# Note:
#   No warranty implicit or explicit is given.
#   You may copy, distribute and use as you see fit.
#   USE AT YOU OWN RISK.
#
tstr=""
while test $# -gt 0; do \
   if test -e $1.exe; then \
       tstr="$tstr$1.exe "; else \
       tstr="$tstr$1 "; \
   fi; \
   shift; \
done
echo "/bin/ginstall $tstr"
eval "/bin/ginstall $tstr"; \
exit

         \\||//
---o0O0--Earnie--0O0o---

[email-masked]

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".